Subject: bug#56820: outline-minor-mode replacing the first character with an arrow

From: Juri Linkov <[email-masked]>
Date: Thu, 08 Sep 2022 10:10:18 +0300

>> So the column for outline indicators could be implemented the same way
>> as display-line-numbers-mode.
>
> Yes, that's a possibility.
>
>> Excuse my ignorance, is display-line-numbers-mode implemented by
>> using margins?
>
> No.  We simply usurp a few columns from the text area, on the layout
> level of the display engine.

I counted ~100 occurrences of display_line_numbers in xdisp.c.
So I guess display_outlines could be added based on code
for display_line_numbers using the same strategy as
tab_line was added based on header_line.

If this is a good idea, I could look into doing this
after finishing all already opened issues, probably
around December.